Up

# NSByteCountFormatter class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSByteCountFormatter class

## NSByteCountFormatter : NSFormatter

> Declared in:
>   Foundation/NSByteCountFormatter.h

Availability: MacOS-X 10.8.0
Description forthcoming.
Method summary

- +stringFromByteCount:countStyle:
- -allowedUnits
- -allowsNonnumericFormatting
- -countStyle
- -formattingContext
- -includesActualByteCount
- -includesCount
- -includesUnit
- -isAdaptive
- -setAdaptive:
- -setAllowedUnits:
- -setAllowsNonnumericFormatting:
- -setCountStyle:
- -setFormattingContext:
- -setIncludesActualByteCount:
- -setIncludesCount:
- -setIncludesUnit:
- -setZeroPadsFractionDigits:
- -stringForObjectValue:
- -stringFromByteCount:
- -zeroPadsFractionDigits

### stringFromByteCount: countStyle:

+ (NSString*) stringFromByteCount: (long long)byteCount countStyle: (NSByteCountFormatterCountStyle)countStyle;
Availability: MacOS-X 10.8.0
Description forthcoming.

### allowedUnits

- (NSByteCountFormatterUnits) allowedUnits;
Availability: MacOS-X 10.8.0
Description forthcoming.

### allowsNonnumericFormatting

- (BOOL) allowsNonnumericFormatting;
Availability: MacOS-X 10.8.0
Description forthcoming.

### countStyle

- (NSByteCountFormatterCountStyle) countStyle;
Availability: MacOS-X 10.8.0
Description forthcoming.

### formattingContext

- (NSFormattingContext) formattingContext;
Availability: MacOS-X 10.8.0
Description forthcoming.

### includesActualByteCount

- (BOOL) includesActualByteCount;
Availability: MacOS-X 10.8.0
Description forthcoming.

### includesCount

- (BOOL) includesCount;
Availability: MacOS-X 10.8.0
Description forthcoming.

### includesUnit

- (BOOL) includesUnit;
Availability: MacOS-X 10.8.0
Description forthcoming.

### isAdaptive

- (BOOL) isAdaptive;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setAdaptive:

- (void) setAdaptive: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setAllowedUnits:

- (void) setAllowedUnits: (NSByteCountFormatterUnits)units;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setAllowsNonnumericFormatting:

- (void) setAllowsNonnumericFormatting: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setCountStyle:

- (void) setCountStyle: (NSByteCountFormatterCountStyle)style;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setFormattingContext:

- (void) setFormattingContext: (NSFormattingContext)ctx;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setIncludesActualByteCount:

- (void) setIncludesActualByteCount: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setIncludesCount:

- (void) setIncludesCount: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setIncludesUnit:

- (void) setIncludesUnit: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### setZeroPadsFractionDigits:

- (void) setZeroPadsFractionDigits: (BOOL)flag;
Availability: MacOS-X 10.8.0
Description forthcoming.

### stringForObjectValue:

- (NSString*) stringForObjectValue: (id)obj;
Availability: MacOS-X 10.8.0
Description forthcoming.

### stringFromByteCount:

- (NSString*) stringFromByteCount: (long long)byteCount;
Availability: MacOS-X 10.8.0
Description forthcoming.

### zeroPadsFractionDigits

- (BOOL) zeroPadsFractionDigits;
Availability: MacOS-X 10.8.0
Description forthcoming.

Up